Subject: bug#52559: guix pull fails with `Unknown command: nix fish: nix show-derivation "~/.fr-sqOEpp/....-module-import-compiled.drv"

From: Grigory Shepelev <[email-masked]>
Date: Fri, 17 Dec 2021 00:12:40 +0300

Extended research. Lead to

ERROR: In procedure primitive-load:
In procedure scm_lreadr: /gnu/store/l375q7zi0k894a03xdfsq8qsm5nh2m
97-module-import/guix/build/utils.scm:822:1: illegal character in escape
sequence: #\return

Possibly related to
https://www.mail-archive.com/[email-masked]/msg12265.html

(Now I added file as an attachment)

чт, 16 дек. 2021 г. в 23:54, Grigory Shepelev <[email-masked]>:

> I just didn't add it as an attachment for it being only 4 lines.
>
> чт, 16 дек. 2021 г. в 23:49, Grigory Shepelev <[email-masked]>:
>
>> > fish: Unknown command: nix
>> > fish:
>> > nix show-derivation "/home/shegeley/.cache/.fr-
>> > sqOEpp/273vsd5gv1ch73ayih504s5wcxvysq-module-import-compiled.drv"
>>
>> IS in fact the contents of
>> /var/log/guix/drvs/6r/273vsd5gv1ch73ayih504s5wcxvysq-module-import-compiled.drv.bz2.
>>
>> чт, 16 дек. 2021 г. в 23:26, Maxime Devos <[email-masked]>:
>>
>>> [putting [email-masked] back into the To/CC:]
>>>
>>> Grigory Shepelev schreef op do 16-12-2021 om 22:33 [+0300]:
>>> > This IS in fact the log.
>>>
>>> No, you haven't posted any build log anywhere.
>>> I'm asking for the log mentioned by
>>>
>>> > View build log at
>>> > '/var/log/guix/drvs/6r/273vsd5gv1ch73ayih504s5wcxvysq-module-import-
>>> > compiled.drv.bz2'.
>>>
>>> That is, the file at
>>>
>>> /var/log/guix/drvs/6r/273vsd5gv1ch73ayih504s5wcxvysq-module-import-compiled.drv.bz2
>>> .
>>>
>>> Greetings,
>>> Maxime
>>>
>>>